ResultItemConverter (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.service

## Class ResultItemConverter

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.service.ResultItemConverter

- All Implemented Interfaces:
    Converter<org.gcube.data.spd.model.products.ResultItem,ResultRow>

      public class ResultItemConverter
      extends Object
      implements Converter<org.gcube.data.spd.model.products.ResultItem,ResultRow>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `id`
    `protected org.gcube.common.core.utils.logging.GCUBEClientLog` | `logger`
    `protected org.gcube.application.framework.core.session.ASLSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultItemConverter(org.gcube.application.framework.core.session.ASLSession session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultRow` | `convert(org.gcube.data.spd.model.products.ResultItem input)`
    `protected List<Taxon>` | `convertTaxon(org.gcube.data.spd.model.products.TaxonomyInterface taxon)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.gcube.common.core.utils.logging.GCUBEClientLog logger

    - #### id

          protected int id

    - #### session

          protected org.gcube.application.framework.core.session.ASLSession session

  - ### Constructor Detail

    - #### ResultItemConverter

          public ResultItemConverter(org.gcube.application.framework.core.session.ASLSession session)

  - ### Method Detail

    - #### convert

          public ResultRow convert(org.gcube.data.spd.model.products.ResultItem input)
                            throws Exception

      Specified by:
        `convert` in interface `Converter<org.gcube.data.spd.model.products.ResultItem,ResultRow>`
      Throws:
        `Exception`

    - #### convertTaxon

          protected List<Taxon> convertTaxon(org.gcube.data.spd.model.products.TaxonomyInterface taxon)

Copyright © 2013. All Rights Reserved.